### Function

# FwupdPlugin sum8

#### Declaration [src]

    guint8
    fu_sum8 (
      const guint8* buf,
      gsize bufsz
    )

#### Description [src]

Returns the arithmetic sum of all bytes in `buf`.

Available since: | 1.8.2

#### Parameters

`buf` | `const guint8*`
| Memory buffer.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| Size of `buf`.

#### Return value

Returns: | `guint8`
| Sum value.